Name:          gnome-doc-utils
Version:       0.20.10
Release:       21
Summary:       A collection of documentation utilities for the Gnome project
License:       GPL-2.0-or-later and LGPL-2.0-or-later and GFDL-1.1-only
URL:           https://wiki.gnome.org/Projects/GnomeDocUtils
Source:        https://download.gnome.org/sources/%{name}/0.20/%{name}-%{version}.tar.xz
Patch0001:     gnome-doc-utils-0.14.0-package.patch
Patch0002:     gnome-doc-utils-0.20.10-python3.patch
Patch0003:     gnome-doc-utils-0.20.10-python3-issues.patch

BuildArch:     noarch
BuildRequires: gcc
BuildRequires: libxml2-devel >= 2.6.12 libxslt-devel >= 1.1.8 python3-libxml2
BuildRequires: python3-devel intltool gettext scrollkeeper
Requires:      libxml2 >= 2.6.12 libxslt >= 1.1.8 python3-libxml2 automake
Requires:      gnome-doc-utils-stylesheets = %{version}-%{release}

%description
gnome-doc-utils is a collection of documentation utilities for the Gnome project.
It includes xml2po tool which makes it easier to translate and keep up to date
translations of documentation. It is highly recommended that all GNOME projects
that have user documentation should use gnome-doc-utils.

%package       stylesheets
Summary:       XSL stylesheets which is uesd by Gnome
License:       LGPLv2+
Requires:      docbook-dtds pkgconfig xml-common

%description   stylesheets
The package includes XSL stylesheets used by yelp and by the tools in gnome-doc-utils.

%package       help
Summary:       This package contains help documents

%description   help
Files for help with gnome-doc-utils.

%prep
%autosetup -p1

%build
%configure --disable-scrollkeeper --enable-build-utils
%make_build

%install
%make_install
sed -i -e '/^Requires:/d' %{buildroot}%{_datadir}/pkgconfig/xml2po.pc
%find_lang %{name}

%files -f %{name}.lang
%license COPYING COPYING.GPL COPYING.LGPL
%{_bindir}/*
%{_datadir}/aclocal/gnome-doc-utils.m4
%{_datadir}/gnome-doc-utils
%{python3_sitelib}/xml2po/
%{_datadir}/pkgconfig/{gnome-doc-utils.pc,xml2po.pc}

%files stylesheets
%{_datadir}/xml/{gnome,mallard}

%files help
%doc AUTHORS NEWS README
%{_datadir}/gnome/help/gnome-doc-make
%{_datadir}/gnome/help/gnome-doc-xslt
%{_mandir}/man1/xml2po.1*

%changelog
* Mon Jan 30 2023 xuxiangxiang <xiangxiang.xu@i-soft.com.cn> -0.20.10-21
- Solve the problem of upgrading to python3

* Tue Jul 26 2022 yaoxin <yaoxin30@h-partners.com> - 0.20.10-20
- License compliance rectification

* Tue May 18 2021 lin.zhang <lin.zhang@turbolinux.com.cn> -0.20.10-19
- add BuildRequires gcc 

* Mon Oct 26 2020 huanghaitao <huanghaitao8@huawei.com> -  0.20.10-18
- Switch to python3

* Wed Dec 4 2019 wangyiru <wangyiru1@huawei.com> -  0.20.10-17
- Package init
